## org.opencyc.uml.interpreter
Class ExpressionEvaluator

    java.lang.Object
      |
      +--org.opencyc.uml.interpreter.ExpressionEvaluator

public class ExpressionEvaluator
extends java.lang.Object

Evaluates a UML Expression.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Constructor Summary
`ExpressionEvaluator(koala.dynamicjava.interpreter.TreeInterpreter treeInterpreter)` Constructs a new ExpressionEvaluator object given the tree interpreter which interprets java statements

Method Summary
`void` `evaluate(Expression expression)` Evaluates the given java expression in the context of the TreeInterpreter.
`boolean` `evaluateBoolean(BooleanExpression booleanExpression)` Evaluates the given boolean java expression in the context of the TreeInterpreter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionEvaluator

    public ExpressionEvaluator(koala.dynamicjava.interpreter.TreeInterpreter treeInterpreter)

  Constructs a new ExpressionEvaluator object given the tree interpreter which interprets java statements
  Parameters:
    `treeInterpreter` - the given tree interpreter

Method Detail

### evaluateBoolean

    public boolean evaluateBoolean(BooleanExpression booleanExpression)

  Evaluates the given boolean java expression in the context of the TreeInterpreter.
  Parameters:
    `booleanExpression` - the given boolean java expression
  Returns:
    the result of evaluating the given boolean java expression

### evaluate

    public void evaluate(Expression expression)

  Evaluates the given java expression in the context of the TreeInterpreter.
  Parameters:
    `expression` - the given java expression